Package: groovy.time

## [Java] Class TimeDatumDependentDuration

- groovy.time.TimeDatumDependentDuration

-     public class TimeDatumDependentDuration
      extends DatumDependentDuration

  TimeDatumDuration represents a time period which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BaseDuration.From` | `getFrom()`
    `` | `public Date` | `getNow()`
    `` | `public DatumDependentDuration` | `minus(Duration rhs)`
    `` | `public DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `public DatumDependentDuration` | `plus(Duration rhs)`
    `` | `public DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DatumDependentDuration` | `getAgo, getFrom, getMonths, getNow, getYears, minus, minus, plus, plus, plus, plus, toMilliseconds`
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

- - ### Constructor Detail

    - #### public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### @Override public BaseDuration.From getFrom()

    - #### @Override public Date getNow()

    - #### @Override public DatumDependentDuration minus(Duration rhs)

    - #### @Override public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### @Override public DatumDependentDuration plus(Duration rhs)

    - #### @Override public DatumDependentDuration plus(DatumDependentDuration rhs)